Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery
Interface XQText

    public interface XQText

This class assembles textual information of the XQuery package.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static java.lang.Object[]` | `ATTDUPL` XQST0040: Parsing exception.
`static java.lang.Object[]` | `ATTNSDUPL` XQST0040: Parsing exception.
`static java.lang.Object[]` | `ATTRCHILD` XPST0005: Parsing exception (keep it like that?).
`static java.lang.Object[]` | `CALCEXPR` XPST0003: Parsing exception.
`static java.lang.Object[]` | `CASTBOOL` FORG0001: Evaluation exception.
`static java.lang.Object[]` | `CASTUNKNOWN` XPST0080: Parsing exception.
`static java.lang.Object[]` | `CIRCMODULE` XQST0073: Parsing exception.
`static java.lang.Object[]` | `CMPEXPR` XPST0003: Parsing exception.
`static java.lang.Object[]` | `COLLINV` FODC0004: Evaluation exception.
`static java.lang.Object[]` | `COMCLOSE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `COMINVALID` XQDY0072: Evaluation exception.
`static java.lang.Object[]` | `COMPSELF` XPST0005: Parsing exception.
`static java.lang.Object[]` | `CONDTYPE` FORG0006: Evaluation exception.
`static java.lang.Object[]` | `CPICONT` XQDY0026: Evaluation exception.
`static java.lang.Object[]` | `CPIINVAL` XQDY0041: Evaluation exception.
`static java.lang.Object[]` | `CPIWRONG` XPTY0004: Typing exception.
`static java.lang.Object[]` | `CPIXML` XQDY0064: Evaluation exception.
`static java.lang.Object[]` | `DATECALC` FOCA0005: Evaluation exception.
`static java.lang.Object[]` | `DATEFORMAT` FORG0001: Evaluation exception.
`static java.lang.Object[]` | `DATERANGE` FORG0001: Evaluation exception.
`static java.lang.Object[]` | `DATEZERO` FODT0002: Evaluation exception.
`static java.lang.Object[]` | `DECLFUNC` XPST0003: Parsing exception.
`static java.lang.Object[]` | `DECLINCOMPLETE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `DECRANGE` FOCA0001: Evaluation exception.
`static java.lang.Object[]` | `DIVFLOW` FOAR0002: Evaluation exception.
`static java.lang.Object[]` | `DIVZERO` FOAR0001: Evaluation exception.
`static java.lang.Object[]` | `DOCATTR` XPST0005: Parsing exception (keep it like that?).
`static java.lang.Object[]` | `DUPLBASE` XQST0032: Parsing exception.
`static java.lang.Object[]` | `DUPLBOUND` XQST0068: Parsing exception.
`static java.lang.Object[]` | `DUPLCOLL` XQST0038: Parsing exception.
`static java.lang.Object[]` | `DUPLCONS` XQST0067: Parsing exception.
`static java.lang.Object[]` | `DUPLCOPYNS` XQST0055: Parsing exception.
`static java.lang.Object[]` | `DUPLMODULE` XQST0047: Parsing exception.
`static java.lang.Object[]` | `DUPLNS` XQST0066: Parsing exception.
`static java.lang.Object[]` | `DUPLNSDECL` XQST0033: Parsing exception.
`static java.lang.Object[]` | `DUPLNSDEF` XQST0071: Parsing exception.
`static java.lang.Object[]` | `DUPLORD` XQST0065: Parsing exception.
`static java.lang.Object[]` | `DUPLORDEMP` XQST0069: Parsing exception.
`static java.lang.Object[]` | `EMPTYSEQOCC` XPST0003: Parsing exception.
`static java.lang.Object[]` | `ENTINVALID` XPST0003: Parsing exception.
`static java.lang.Object[]` | `ENTUNKNOWN` XPST0003: Parsing exception.
`static java.lang.Object[]` | `EVALNODES` XPTY0019: Typing exception.
`static java.lang.Object[]` | `EVALNODESVALS` XPTY0018: Typing exception.
`static java.lang.String` | `EVALSKIP` Evaluation info.
`static java.lang.Object[]` | `EVALUNARY` XPST0003: Evaluation exception.
`static java.lang.Object[]` | `EXONE` FORG0005: Evaluation exception.
`static java.lang.Object[]` | `EXPREMPTY` XPST0003: Parsing exception.
`static java.lang.String` | `FILE` Position info.
`static java.lang.Object[]` | `FLWORORD` XPST0003: Parsing exception.
`static java.lang.Object[]` | `FLWORRET` XPST0003: Parsing exception.
`static java.lang.Object[]` | `FLWORSTABLE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `FLWORWHERE` XPST0003: Parsing exception.
`static java.lang.String` | `FOAR` FOAR Error type.
`static java.lang.String` | `FOCA` FOCA Error type.
`static java.lang.String` | `FOCH` FOCH Error type.
`static java.lang.String` | `FODC` FODC Error type.
`static java.lang.String` | `FODT` FODT Error type.
`static java.lang.String` | `FOER` FOER Error type.
`static java.lang.String` | `FONS` FONS Error type.
`static java.lang.String` | `FORG` FORG Error type.
`static java.lang.String` | `FORX` FORX Error type.
`static java.lang.String` | `FOTY` FOTY Error type.
`static java.lang.String` | `FOUND` XPST0003: Parsing exception.
`static java.lang.Object[]` | `FTIGNORE` FTST0000: Parsing exception.
`static java.lang.Object[]` | `FTLAN` FTST0000: Parsing exception.
`static java.lang.Object[]` | `FTMILD` FTST0001: Parsing exception.
`static java.lang.String` | `FTST` FTST Error type.
`static java.lang.Object[]` | `FTSTEMMING` FTST0000: Parsing exception.
`static java.lang.Object[]` | `FTSTOP` FTST0000: Parsing exception.
`static java.lang.Object[]` | `FTTHES` FTST0000: Parsing exception.
`static java.lang.Object[]` | `FUNCAST` FORG0001: Evaluation exception.
`static java.lang.Object[]` | `FUNCDEFINED` XQST0034: Parsing exception.
`static java.lang.Object[]` | `FUNCDUPL` XQST0039: Parsing exception.
`static java.lang.Object[]` | `FUNCMISS` XPST0003: Parsing exception.
`static java.lang.Object[]` | `FUNCMP` FORG0006: Evaluation exception.
`static java.lang.Object[]` | `FUNCOLL` FODC0004: Evaluation exception.
`static java.lang.Object[]` | `FUNCRES` XQST0045: Parsing exception.
`static java.lang.Object[]` | `FUNCTYPE` XPST0017: Parsing Exception.
`static java.lang.Object[]` | `FUNCUNKNOWN` XPST0017: Parsing exception.
`static java.lang.Object[]` | `FUNDUR` FORG0006: Evaluation exception.
`static java.lang.String` | `FUNERR` FOER0000: Evaluation exception.
`static java.lang.Object[]` | `FUNERR1` FOER0000: Evaluation exception.
`static java.lang.String` | `FUNERR2` FOER0000: Evaluation exception.
`static java.lang.String` | `FUNERR3` FOER0000: Evaluation exception.
`static java.lang.String` | `FUNERR4` FOER0000: Evaluation exception.
`static java.lang.Object[]` | `FUNNONS` XQST0060: Parsing exception.
`static java.lang.Object[]` | `FUNNUM` FORG0006: Evaluation exception.
`static java.lang.Object[]` | `FUNNUMDUR` FORG0006: Evaluation exception.
`static java.lang.Object[]` | `FUNREGREP` FORX0004: Evaluation exception.
`static java.lang.Object[]` | `FUNSEQ` FORG0006: Evaluation exception.
`static java.lang.Object[]` | `FUNSIMILAR` XPST0017: Parsing exception.
`static java.lang.Object[]` | `FUNZONE` FORG0008: Function exception.
`static java.lang.Object[]` | `IFPAR` XPST0003: Parsing exception.
`static java.lang.Object[]` | `IMPLCOL` FOCH0002: Evaluation exception.
`static java.lang.Object[]` | `IMPLMODULE` XQST0016: Parsing exception.
`static java.lang.Object[]` | `IMPLSCHEMA` XQST0009: Parsing exception.
`static java.lang.Object[]` | `IMPLVAL` XQST0075: Parsing exception.
`static java.lang.Object[]` | `INCOMPLETE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `INTRANGE` FOCA0003: Evaluation exception.
`static java.lang.Object[]` | `INVAL` XQDY0074: Evaluation exception.
`static java.lang.Object[]` | `INVALIDZONE` FORG0001: Evaluation exception.
`static java.lang.Object[]` | `INVALUE` FOCA0002: Evaluation exception.
`static java.lang.Object[]` | `INVALZONE` FODT0003: Evaluation exception.
`static java.lang.Object[]` | `INVCODE` FOCH0001: Evaluation exception.
`static java.lang.Object[]` | `INVCOLL` XQST0076: Parsing exception.
`static java.lang.Object[]` | `INVDOC` FODC0005: Evaluation exception.
`static java.lang.Object[]` | `LANINVALID` FORG0001: Evaluation exception.
`static java.lang.Object[]` | `MODDEFINED` XQST0049: Parsing exception.
`static java.lang.Object[]` | `MODNS` XQST0047: Parsing exception.
`static java.lang.Object[]` | `NAMERES` XQST0045: Parsing exception.
`static java.lang.Object[]` | `NAMEWRONG` XPTY0004: Typing exception.
`static java.lang.Object[]` | `NOATTALL` XQTY0024: Parsing exception.
`static java.lang.Object[]` | `NOCLOSING` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOCOLL` XQST0076: Parsing exception.
`static java.lang.Object[]` | `NOCOMCONS` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOCONTEXT` XPDY0002: Evaluation exception.
`static java.lang.Object[]` | `NODESPATH` XPTY0019: Typing exception.
`static java.lang.Object[]` | `NODESSTEP` XPTY0019: Typing exception.
`static java.lang.Object[]` | `NODOC` FODC0002: Evaluation exception.
`static java.lang.Object[]` | `NODOCCONS` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOENCLEXPR` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOEXPR` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOFOR` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOFUNBODY` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOIF` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOLET` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOLOCSTEP` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOMODULE` XQST0059: Parsing exception.
`static java.lang.Object[]` | `NOMODULEFILE` XQST0059: Parsing exception.
`static java.lang.Object[]` | `NOPRAGMA` XQST0079: Parsing exception.
`static java.lang.Object[]` | `NORETURN` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NORMUNI` FOCH0003: Evaluation exception.
`static java.lang.Object[]` | `NOSCORE` XPDY0004: Typing exception.
`static java.lang.Object[]` | `NOSOME` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOTAGNAME` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOTREAT` XPDY0050: Evaluation exception.
`static java.lang.Object[]` | `NOTXTCONS` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOTYPE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOTYPESWITCH` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOVALIDATE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOVARNAME` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOWHERE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NOXMLNS` XQST0070: Parsing exception.
`static java.lang.Object[]` | `NSATTCONS` XQDY0044: Evaluation exception.
`static java.lang.Object[]` | `NSCONS` XQST0022: Parsing exception.
`static java.lang.Object[]` | `NSDEF` XQST0070: Parsing exception.
`static java.lang.Object[]` | `NSEMPTY` XQST0085: Parsing exception.
`static java.lang.Object[]` | `NSEMPTYURI` XQST0085: Parsing exception.
`static java.lang.Object[]` | `NSMISS` XPST0081: Parsing exception.
`static java.lang.Object[]` | `NSMODURI` XQST0088: Parsing exception.
`static java.lang.Object[]` | `NUMBERINC` XPST0003: Parsing exception.
`static java.lang.Object[]` | `NUMBERWS` XPST0003: Parsing exception.
`static java.lang.Object[]` | `ONEMORE` FORG0004: Evaluation exception.
`static java.lang.String` | `OPTCAST` Compiler info.
`static java.lang.String` | `OPTDESC` Compiler info.
`static java.lang.String` | `OPTPREEVAL` Compiler info.
`static java.lang.Object[]` | `ORDER` XPST0003: Parsing exception.
`static java.lang.Object[]` | `PATHMISS` XPST0003: Parsing exception.
`static java.lang.Object[]` | `PIWRONG` XPST0003: Parsing exception.
`static java.lang.Object[]` | `PIXML` XPST0003: Parsing exception.
`static java.lang.String` | `POSFILEINFO` Position info.
`static java.lang.String` | `POSINFO` Position info.
`static java.lang.Object[]` | `PRAGMAINCOMPLETE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `PREDMISSING` XPST0003: Parsing exception.
`static java.lang.Object[]` | `PREUNKNOWN` XPST0081: Parsing exception.
`static java.lang.Object[]` | `QNMINV` FORG0001: Evaluation exception.
`static java.lang.Object[]` | `QUERYEMPTY` XPST0003: Parsing exception.
`static java.lang.Object[]` | `QUERYEND` XPST0003: Parsing exception.
`static java.lang.Object[]` | `QUERYINV` XPST0003: Parsing exception.
`static java.lang.Object[]` | `QUERYSTEP` XPST0003: Parsing exception.
`static java.lang.Object[]` | `QUOTECLOSE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `REGERR` FORX0004: Evaluation exception.
`static java.lang.Object[]` | `REGINV` FORX0002: Evaluation exception.
`static java.lang.Object[]` | `REGMOD` FORX0001: Evaluation exception.
`static java.lang.Object[]` | `REGROUP` FORX0003: Evaluation exception.
`static java.lang.String` | `RESULT` Opening result tag.
`static java.lang.String` | `RESULTCLOSE` Closing result tag.
`static java.lang.String` | `RESULTOPEN` Opening result tag.
`static java.lang.String` | `RESULTS` Opening result tag.
`static java.lang.String` | `RESULTSCLOSE` Closing result tag.
`static java.lang.String` | `RESULTSOPEN` Opening result tag.
`static java.lang.Object[]` | `RESURI` FORG0002: Evaluation exception.
`static java.lang.Object[]` | `ROOTDOC` XPDY0050: Evaluation exception.
`static java.lang.String` | `STOPPED` Position info.
`static java.lang.Object[]` | `TAGWRONG` XPST0003: Parsing exception.
`static java.lang.Object[]` | `TESTINCOMPLETE` XPST0003: Parsing exception.
`static java.lang.Object[]` | `TESTINVALID` XPST0003: Parsing exception.
`static java.lang.Object[]` | `TYPECMP` XPTY0004: Evaluation Exception.
`static java.lang.Object[]` | `TYPEINVALID` XPST0003: Parsing exception.
`static java.lang.Object[]` | `TYPEPAR` XPST0003: Parsing exception.
`static java.lang.Object[]` | `TYPEUNKNOWN` XPST0051: Parsing exception.
`static java.lang.Object[]` | `URIINV` XQST0046: Parsing exception.
`static java.lang.Object[]` | `VARDEFINED` XQST0089: Parsing exception.
`static java.lang.Object[]` | `VARMISSING` XQST0054: Parsing exception.
`static java.lang.Object[]` | `VARNOTDEFINED` XPST0008: Parsing exception.
`static java.lang.Object[]` | `WRONGCHAR` XPST0003: Parsing exception.
`static java.lang.Object[]` | `WRONGEND` XPST0003: Parsing exception.
`static java.lang.Object[]` | `WRONGMODULE` XQST0059: Parsing exception.
`static java.lang.Object[]` | `XPARGS` XPST0017: Parsing Exception.
`static java.lang.Object[]` | `XPATT` XPTY0004: Typing exception.
`static java.lang.Object[]` | `XPCAST` XPTY0004: Typing exception.
`static java.lang.String` | `XPDATE` Example for a Date format.
`static java.lang.String` | `XPDAY` Example for a Day format.
`static java.lang.String` | `XPDTD` Example for a DayTimeDuration format.
`static java.lang.String` | `XPDTM` Example for a DateTime format.
`static java.lang.Object[]` | `XPDUR` XPTY0004: Typing exception.
`static java.lang.String` | `XPDURR` Example for a Duration format.
`static java.lang.String` | `XPDY` XPDY Error type.
`static java.lang.Object[]` | `XPEMPTY` XPTY0004: Typing exception.
`static java.lang.Object[]` | `XPINVCAST` XPTY0004: Typing exception.
`static java.lang.Object[]` | `XPINVNAME` XPTY0004: Typing exception.
`static java.lang.String` | `XPMDA` Example for a MonthDay format.
`static java.lang.String` | `XPMON` Example for a Month format.
`static java.lang.Object[]` | `XPNAME` XPTY0004: Typing exception.
`static java.lang.Object[]` | `XPNOCTX` XPDY0002: Evaluation Exception.
`static java.lang.Object[]` | `XPNODES` XPDY0002: Evaluation exception.
`static java.lang.Object[]` | `XPRETURN` XPTY0004: Typing exception.
`static java.lang.Object[]` | `XPSEQ` XPTY0004: Typing exception.
`static java.lang.Object[]` | `XPSINGLE` XPTY0004: Typing exception.
`static java.lang.Object[]` | `XPSORT` XPTY0004: Typing exception.
`static java.lang.String` | `XPST` XPST Error type.
`static java.lang.Object[]` | `XPSTACK` XQST0054: Parsing exception.
`static java.lang.String` | `XPTIME` Example for a Time format.
`static java.lang.String` | `XPTY` XPTY Error type.
`static java.lang.Object[]` | `XPTYPE` XPTY0004: Typing Exception.
`static java.lang.Object[]` | `XPTYPECMP` XPTY0004: Typing Exception.
`static java.lang.Object[]` | `XPTYPENUM` XPTY0004: Typing exception.
`static java.lang.Object[]` | `XPUNARY` XPTY0004: Typing exception.
`static java.lang.String` | `XPYEA` Example for a Year format.
`static java.lang.String` | `XPYMD` Example for a YearMonthDuration format.
`static java.lang.String` | `XPYMO` Example for a YearMonth format.
`static java.lang.String` | `XQDY` XQDY Error type.
`static java.lang.String` | `XQST` XQST Error type.
`static java.lang.String` | `XQTY` XQTY Error type.
`static java.lang.Object[]` | `XQUERYENC2` XQST0087: Parsing exception.
`static java.lang.Object[]` | `XQUERYVER` XQST0031: Parsing exception.
`static java.lang.Object[]` | `ZEROONE` FORG0003: Evaluation exception.

Field Detail

### ATTDUPL

    static final java.lang.Object[] ATTDUPL

  XQST0040: Parsing exception.

### ATTNSDUPL

    static final java.lang.Object[] ATTNSDUPL

  XQST0040: Parsing exception.

### ATTRCHILD

    static final java.lang.Object[] ATTRCHILD

  XPST0005: Parsing exception (keep it like that?).

### CALCEXPR

    static final java.lang.Object[] CALCEXPR

  XPST0003: Parsing exception.

### CASTBOOL

    static final java.lang.Object[] CASTBOOL

  FORG0001: Evaluation exception.

### CASTUNKNOWN

    static final java.lang.Object[] CASTUNKNOWN

  XPST0080: Parsing exception.

### CIRCMODULE

    static final java.lang.Object[] CIRCMODULE

  XQST0073: Parsing exception.

### CMPEXPR

    static final java.lang.Object[] CMPEXPR

  XPST0003: Parsing exception.

### COLLINV

    static final java.lang.Object[] COLLINV

  FODC0004: Evaluation exception.

### COMCLOSE

    static final java.lang.Object[] COMCLOSE

  XPST0003: Parsing exception.

### COMINVALID

    static final java.lang.Object[] COMINVALID

  XQDY0072: Evaluation exception.

### COMPSELF

    static final java.lang.Object[] COMPSELF

  XPST0005: Parsing exception.

### CONDTYPE

    static final java.lang.Object[] CONDTYPE

  FORG0006: Evaluation exception.

### CPICONT

    static final java.lang.Object[] CPICONT

  XQDY0026: Evaluation exception.

### CPIINVAL

    static final java.lang.Object[] CPIINVAL

  XQDY0041: Evaluation exception.

### CPIWRONG

    static final java.lang.Object[] CPIWRONG

  XPTY0004: Typing exception.

### CPIXML

    static final java.lang.Object[] CPIXML

  XQDY0064: Evaluation exception.

### DATECALC

    static final java.lang.Object[] DATECALC

  FOCA0005: Evaluation exception.

### DATEFORMAT

    static final java.lang.Object[] DATEFORMAT

  FORG0001: Evaluation exception.

### DATERANGE

    static final java.lang.Object[] DATERANGE

  FORG0001: Evaluation exception.

### DATEZERO

    static final java.lang.Object[] DATEZERO

  FODT0002: Evaluation exception.

### DECLFUNC

    static final java.lang.Object[] DECLFUNC

  XPST0003: Parsing exception.

### DECLINCOMPLETE

    static final java.lang.Object[] DECLINCOMPLETE

  XPST0003: Parsing exception.

### DECRANGE

    static final java.lang.Object[] DECRANGE

  FOCA0001: Evaluation exception.

### DIVFLOW

    static final java.lang.Object[] DIVFLOW

  FOAR0002: Evaluation exception.

### DIVZERO

    static final java.lang.Object[] DIVZERO

  FOAR0001: Evaluation exception.

### DOCATTR

    static final java.lang.Object[] DOCATTR

  XPST0005: Parsing exception (keep it like that?).

### DUPLBASE

    static final java.lang.Object[] DUPLBASE

  XQST0032: Parsing exception.

### DUPLBOUND

    static final java.lang.Object[] DUPLBOUND

  XQST0068: Parsing exception.

### DUPLCOLL

    static final java.lang.Object[] DUPLCOLL

  XQST0038: Parsing exception.

### DUPLCONS

    static final java.lang.Object[] DUPLCONS

  XQST0067: Parsing exception.

### DUPLCOPYNS

    static final java.lang.Object[] DUPLCOPYNS

  XQST0055: Parsing exception.

### DUPLMODULE

    static final java.lang.Object[] DUPLMODULE

  XQST0047: Parsing exception.

### DUPLNS

    static final java.lang.Object[] DUPLNS

  XQST0066: Parsing exception.

### DUPLNSDECL

    static final java.lang.Object[] DUPLNSDECL

  XQST0033: Parsing exception.

### DUPLNSDEF

    static final java.lang.Object[] DUPLNSDEF

  XQST0071: Parsing exception.

### DUPLORD

    static final java.lang.Object[] DUPLORD

  XQST0065: Parsing exception.

### DUPLORDEMP

    static final java.lang.Object[] DUPLORDEMP

  XQST0069: Parsing exception.

### EMPTYSEQOCC

    static final java.lang.Object[] EMPTYSEQOCC

  XPST0003: Parsing exception.

### ENTINVALID

    static final java.lang.Object[] ENTINVALID

  XPST0003: Parsing exception.

### ENTUNKNOWN

    static final java.lang.Object[] ENTUNKNOWN

  XPST0003: Parsing exception.

### EVALNODES

    static final java.lang.Object[] EVALNODES

  XPTY0019: Typing exception.

### EVALNODESVALS

    static final java.lang.Object[] EVALNODESVALS

  XPTY0018: Typing exception.

### EVALSKIP

    static final java.lang.String EVALSKIP

  Evaluation info.

  See Also:
    Constant Field Values

### EVALUNARY

    static final java.lang.Object[] EVALUNARY

  XPST0003: Evaluation exception.

### EXONE

    static final java.lang.Object[] EXONE

  FORG0005: Evaluation exception.

### EXPREMPTY

    static final java.lang.Object[] EXPREMPTY

  XPST0003: Parsing exception.

### FILE

    static final java.lang.String FILE

  Position info.

### FLWORORD

    static final java.lang.Object[] FLWORORD

  XPST0003: Parsing exception.

### FLWORRET

    static final java.lang.Object[] FLWORRET

  XPST0003: Parsing exception.

### FLWORSTABLE

    static final java.lang.Object[] FLWORSTABLE

  XPST0003: Parsing exception.

### FLWORWHERE

    static final java.lang.Object[] FLWORWHERE

  XPST0003: Parsing exception.

### FOAR

    static final java.lang.String FOAR

  FOAR Error type.

  See Also:
    Constant Field Values

### FOCA

    static final java.lang.String FOCA

  FOCA Error type.

  See Also:
    Constant Field Values

### FOCH

    static final java.lang.String FOCH

  FOCH Error type.

  See Also:
    Constant Field Values

### FODC

    static final java.lang.String FODC

  FODC Error type.

  See Also:
    Constant Field Values

### FODT

    static final java.lang.String FODT

  FODT Error type.

  See Also:
    Constant Field Values

### FOER

    static final java.lang.String FOER

  FOER Error type.

  See Also:
    Constant Field Values

### FONS

    static final java.lang.String FONS

  FONS Error type.

  See Also:
    Constant Field Values

### FORG

    static final java.lang.String FORG

  FORG Error type.

  See Also:
    Constant Field Values

### FORX

    static final java.lang.String FORX

  FORX Error type.

  See Also:
    Constant Field Values

### FOTY

    static final java.lang.String FOTY

  FOTY Error type.

  See Also:
    Constant Field Values

### FOUND

    static final java.lang.String FOUND

  XPST0003: Parsing exception.

  See Also:
    Constant Field Values

### FTIGNORE

    static final java.lang.Object[] FTIGNORE

  FTST0000: Parsing exception.

### FTLAN

    static final java.lang.Object[] FTLAN

  FTST0000: Parsing exception.

### FTMILD

    static final java.lang.Object[] FTMILD

  FTST0001: Parsing exception.

### FTST

    static final java.lang.String FTST

  FTST Error type.

  See Also:
    Constant Field Values

### FTSTEMMING

    static final java.lang.Object[] FTSTEMMING

  FTST0000: Parsing exception.

### FTSTOP

    static final java.lang.Object[] FTSTOP

  FTST0000: Parsing exception.

### FTTHES

    static final java.lang.Object[] FTTHES

  FTST0000: Parsing exception.

### FUNCAST

    static final java.lang.Object[] FUNCAST

  FORG0001: Evaluation exception.

### FUNCDEFINED

    static final java.lang.Object[] FUNCDEFINED

  XQST0034: Parsing exception.

### FUNCDUPL

    static final java.lang.Object[] FUNCDUPL

  XQST0039: Parsing exception.

### FUNCMISS

    static final java.lang.Object[] FUNCMISS

  XPST0003: Parsing exception.

### FUNCMP

    static final java.lang.Object[] FUNCMP

  FORG0006: Evaluation exception.

### FUNCOLL

    static final java.lang.Object[] FUNCOLL

  FODC0004: Evaluation exception.

### FUNCRES

    static final java.lang.Object[] FUNCRES

  XQST0045: Parsing exception.

### FUNCTYPE

    static final java.lang.Object[] FUNCTYPE

  XPST0017: Parsing Exception.

### FUNCUNKNOWN

    static final java.lang.Object[] FUNCUNKNOWN

  XPST0017: Parsing exception.

### FUNDUR

    static final java.lang.Object[] FUNDUR

  FORG0006: Evaluation exception.

### FUNERR

    static final java.lang.String FUNERR

  FOER0000: Evaluation exception.

  See Also:
    Constant Field Values

### FUNERR1

    static final java.lang.Object[] FUNERR1

  FOER0000: Evaluation exception.

### FUNERR2

    static final java.lang.String FUNERR2

  FOER0000: Evaluation exception.

  See Also:
    Constant Field Values

### FUNERR3

    static final java.lang.String FUNERR3

  FOER0000: Evaluation exception.

  See Also:
    Constant Field Values

### FUNERR4

    static final java.lang.String FUNERR4

  FOER0000: Evaluation exception.

  See Also:
    Constant Field Values

### FUNNONS

    static final java.lang.Object[] FUNNONS

  XQST0060: Parsing exception.

### FUNNUM

    static final java.lang.Object[] FUNNUM

  FORG0006: Evaluation exception.

### FUNNUMDUR

    static final java.lang.Object[] FUNNUMDUR

  FORG0006: Evaluation exception.

### FUNREGREP

    static final java.lang.Object[] FUNREGREP

  FORX0004: Evaluation exception.

### FUNSEQ

    static final java.lang.Object[] FUNSEQ

  FORG0006: Evaluation exception.

### FUNSIMILAR

    static final java.lang.Object[] FUNSIMILAR

  XPST0017: Parsing exception.

### FUNZONE

    static final java.lang.Object[] FUNZONE

  FORG0008: Function exception.

### IFPAR

    static final java.lang.Object[] IFPAR

  XPST0003: Parsing exception.

### IMPLCOL

    static final java.lang.Object[] IMPLCOL

  FOCH0002: Evaluation exception.

### IMPLMODULE

    static final java.lang.Object[] IMPLMODULE

  XQST0016: Parsing exception.

### IMPLSCHEMA

    static final java.lang.Object[] IMPLSCHEMA

  XQST0009: Parsing exception.

### IMPLVAL

    static final java.lang.Object[] IMPLVAL

  XQST0075: Parsing exception.

### INCOMPLETE

    static final java.lang.Object[] INCOMPLETE

  XPST0003: Parsing exception.

### INTRANGE

    static final java.lang.Object[] INTRANGE

  FOCA0003: Evaluation exception.

### INVAL

    static final java.lang.Object[] INVAL

  XQDY0074: Evaluation exception.

### INVALIDZONE

    static final java.lang.Object[] INVALIDZONE

  FORG0001: Evaluation exception.

### INVALUE

    static final java.lang.Object[] INVALUE

  FOCA0002: Evaluation exception.

### INVALZONE

    static final java.lang.Object[] INVALZONE

  FODT0003: Evaluation exception.

### INVCODE

    static final java.lang.Object[] INVCODE

  FOCH0001: Evaluation exception.

### INVCOLL

    static final java.lang.Object[] INVCOLL

  XQST0076: Parsing exception.

### INVDOC

    static final java.lang.Object[] INVDOC

  FODC0005: Evaluation exception.

### LANINVALID

    static final java.lang.Object[] LANINVALID

  FORG0001: Evaluation exception.

### MODDEFINED

    static final java.lang.Object[] MODDEFINED

  XQST0049: Parsing exception.

### MODNS

    static final java.lang.Object[] MODNS

  XQST0047: Parsing exception.

### NAMERES

    static final java.lang.Object[] NAMERES

  XQST0045: Parsing exception.

### NAMEWRONG

    static final java.lang.Object[] NAMEWRONG

  XPTY0004: Typing exception.

### NOATTALL

    static final java.lang.Object[] NOATTALL

  XQTY0024: Parsing exception.

### NOCLOSING

    static final java.lang.Object[] NOCLOSING

  XPST0003: Parsing exception.

### NOCOLL

    static final java.lang.Object[] NOCOLL

  XQST0076: Parsing exception.

### NOCOMCONS

    static final java.lang.Object[] NOCOMCONS

  XPST0003: Parsing exception.

### NOCONTEXT

    static final java.lang.Object[] NOCONTEXT

  XPDY0002: Evaluation exception.

### NODESPATH

    static final java.lang.Object[] NODESPATH

  XPTY0019: Typing exception.

### NODESSTEP

    static final java.lang.Object[] NODESSTEP

  XPTY0019: Typing exception.

### NODOC

    static final java.lang.Object[] NODOC

  FODC0002: Evaluation exception.

### NODOCCONS

    static final java.lang.Object[] NODOCCONS

  XPST0003: Parsing exception.

### NOENCLEXPR

    static final java.lang.Object[] NOENCLEXPR

  XPST0003: Parsing exception.

### NOEXPR

    static final java.lang.Object[] NOEXPR

  XPST0003: Parsing exception.

### NOFOR

    static final java.lang.Object[] NOFOR

  XPST0003: Parsing exception.

### NOFUNBODY

    static final java.lang.Object[] NOFUNBODY

  XPST0003: Parsing exception.

### NOIF

    static final java.lang.Object[] NOIF

  XPST0003: Parsing exception.

### NOLET

    static final java.lang.Object[] NOLET

  XPST0003: Parsing exception.

### NOLOCSTEP

    static final java.lang.Object[] NOLOCSTEP

  XPST0003: Parsing exception.

### NOMODULE

    static final java.lang.Object[] NOMODULE

  XQST0059: Parsing exception.

### NOMODULEFILE

    static final java.lang.Object[] NOMODULEFILE

  XQST0059: Parsing exception.

### NOPRAGMA

    static final java.lang.Object[] NOPRAGMA

  XQST0079: Parsing exception.

### NORETURN

    static final java.lang.Object[] NORETURN

  XPST0003: Parsing exception.

### NORMUNI

    static final java.lang.Object[] NORMUNI

  FOCH0003: Evaluation exception.

### NOSCORE

    static final java.lang.Object[] NOSCORE

  XPDY0004: Typing exception.

### NOSOME

    static final java.lang.Object[] NOSOME

  XPST0003: Parsing exception.

### NOTAGNAME

    static final java.lang.Object[] NOTAGNAME

  XPST0003: Parsing exception.

### NOTREAT

    static final java.lang.Object[] NOTREAT

  XPDY0050: Evaluation exception.

### NOTXTCONS

    static final java.lang.Object[] NOTXTCONS

  XPST0003: Parsing exception.

### NOTYPE

    static final java.lang.Object[] NOTYPE

  XPST0003: Parsing exception.

### NOTYPESWITCH

    static final java.lang.Object[] NOTYPESWITCH

  XPST0003: Parsing exception.

### NOVALIDATE

    static final java.lang.Object[] NOVALIDATE

  XPST0003: Parsing exception.

### NOVARNAME

    static final java.lang.Object[] NOVARNAME

  XPST0003: Parsing exception.

### NOWHERE

    static final java.lang.Object[] NOWHERE

  XPST0003: Parsing exception.

### NOXMLNS

    static final java.lang.Object[] NOXMLNS

  XQST0070: Parsing exception.

### NSATTCONS

    static final java.lang.Object[] NSATTCONS

  XQDY0044: Evaluation exception.

### NSCONS

    static final java.lang.Object[] NSCONS

  XQST0022: Parsing exception.

### NSDEF

    static final java.lang.Object[] NSDEF

  XQST0070: Parsing exception.

### NSEMPTY

    static final java.lang.Object[] NSEMPTY

  XQST0085: Parsing exception.

### NSEMPTYURI

    static final java.lang.Object[] NSEMPTYURI

  XQST0085: Parsing exception.

### NSMISS

    static final java.lang.Object[] NSMISS

  XPST0081: Parsing exception.

### NSMODURI

    static final java.lang.Object[] NSMODURI

  XQST0088: Parsing exception.

### NUMBERINC

    static final java.lang.Object[] NUMBERINC

  XPST0003: Parsing exception.

### NUMBERWS

    static final java.lang.Object[] NUMBERWS

  XPST0003: Parsing exception.

### ONEMORE

    static final java.lang.Object[] ONEMORE

  FORG0004: Evaluation exception.

### OPTCAST

    static final java.lang.String OPTCAST

  Compiler info.

  See Also:
    Constant Field Values

### OPTDESC

    static final java.lang.String OPTDESC

  Compiler info.

  See Also:
    Constant Field Values

### OPTPREEVAL

    static final java.lang.String OPTPREEVAL

  Compiler info.

  See Also:
    Constant Field Values

### ORDER

    static final java.lang.Object[] ORDER

  XPST0003: Parsing exception.

### PATHMISS

    static final java.lang.Object[] PATHMISS

  XPST0003: Parsing exception.

### PIWRONG

    static final java.lang.Object[] PIWRONG

  XPST0003: Parsing exception.

### PIXML

    static final java.lang.Object[] PIXML

  XPST0003: Parsing exception.

### POSFILEINFO

    static final java.lang.String POSFILEINFO

  Position info.

### POSINFO

    static final java.lang.String POSINFO

  Position info.

### PRAGMAINCOMPLETE

    static final java.lang.Object[] PRAGMAINCOMPLETE

  XPST0003: Parsing exception.

### PREDMISSING

    static final java.lang.Object[] PREDMISSING

  XPST0003: Parsing exception.

### PREUNKNOWN

    static final java.lang.Object[] PREUNKNOWN

  XPST0081: Parsing exception.

### QNMINV

    static final java.lang.Object[] QNMINV

  FORG0001: Evaluation exception.

### QUERYEMPTY

    static final java.lang.Object[] QUERYEMPTY

  XPST0003: Parsing exception.

### QUERYEND

    static final java.lang.Object[] QUERYEND

  XPST0003: Parsing exception.

### QUERYINV

    static final java.lang.Object[] QUERYINV

  XPST0003: Parsing exception.

### QUERYSTEP

    static final java.lang.Object[] QUERYSTEP

  XPST0003: Parsing exception.

### QUOTECLOSE

    static final java.lang.Object[] QUOTECLOSE

  XPST0003: Parsing exception.

### REGERR

    static final java.lang.Object[] REGERR

  FORX0004: Evaluation exception.

### REGINV

    static final java.lang.Object[] REGINV

  FORX0002: Evaluation exception.

### REGMOD

    static final java.lang.Object[] REGMOD

  FORX0001: Evaluation exception.

### REGROUP

    static final java.lang.Object[] REGROUP

  FORX0003: Evaluation exception.

### RESULT

    static final java.lang.String RESULT

  Opening result tag.

  See Also:
    Constant Field Values

### RESULTCLOSE

    static final java.lang.String RESULTCLOSE

  Closing result tag.

  See Also:
    Constant Field Values

### RESULTOPEN

    static final java.lang.String RESULTOPEN

  Opening result tag.

  See Also:
    Constant Field Values

### RESULTS

    static final java.lang.String RESULTS

  Opening result tag.

  See Also:
    Constant Field Values

### RESULTSCLOSE

    static final java.lang.String RESULTSCLOSE

  Closing result tag.

  See Also:
    Constant Field Values

### RESULTSOPEN

    static final java.lang.String RESULTSOPEN

  Opening result tag.

  See Also:
    Constant Field Values

### RESURI

    static final java.lang.Object[] RESURI

  FORG0002: Evaluation exception.

### ROOTDOC

    static final java.lang.Object[] ROOTDOC

  XPDY0050: Evaluation exception.

### STOPPED

    static final java.lang.String STOPPED

  Position info.

  See Also:
    Constant Field Values

### TAGWRONG

    static final java.lang.Object[] TAGWRONG

  XPST0003: Parsing exception.

### TESTINCOMPLETE

    static final java.lang.Object[] TESTINCOMPLETE

  XPST0003: Parsing exception.

### TESTINVALID

    static final java.lang.Object[] TESTINVALID

  XPST0003: Parsing exception.

### TYPECMP

    static final java.lang.Object[] TYPECMP

  XPTY0004: Evaluation Exception.

### TYPEINVALID

    static final java.lang.Object[] TYPEINVALID

  XPST0003: Parsing exception.

### TYPEPAR

    static final java.lang.Object[] TYPEPAR

  XPST0003: Parsing exception.

### TYPEUNKNOWN

    static final java.lang.Object[] TYPEUNKNOWN

  XPST0051: Parsing exception.

### URIINV

    static final java.lang.Object[] URIINV

  XQST0046: Parsing exception.

### VARDEFINED

    static final java.lang.Object[] VARDEFINED

  XQST0089: Parsing exception.

### VARMISSING

    static final java.lang.Object[] VARMISSING

  XQST0054: Parsing exception.

### VARNOTDEFINED

    static final java.lang.Object[] VARNOTDEFINED

  XPST0008: Parsing exception.

### WRONGCHAR

    static final java.lang.Object[] WRONGCHAR

  XPST0003: Parsing exception.

### WRONGEND

    static final java.lang.Object[] WRONGEND

  XPST0003: Parsing exception.

### WRONGMODULE

    static final java.lang.Object[] WRONGMODULE

  XQST0059: Parsing exception.

### XPARGS

    static final java.lang.Object[] XPARGS

  XPST0017: Parsing Exception.

### XPATT

    static final java.lang.Object[] XPATT

  XPTY0004: Typing exception.

### XPCAST

    static final java.lang.Object[] XPCAST

  XPTY0004: Typing exception.

### XPDATE

    static final java.lang.String XPDATE

  Example for a Date format.

  See Also:
    Constant Field Values

### XPDAY

    static final java.lang.String XPDAY

  Example for a Day format.

  See Also:
    Constant Field Values

### XPDTD

    static final java.lang.String XPDTD

  Example for a DayTimeDuration format.

  See Also:
    Constant Field Values

### XPDTM

    static final java.lang.String XPDTM

  Example for a DateTime format.

  See Also:
    Constant Field Values

### XPDUR

    static final java.lang.Object[] XPDUR

  XPTY0004: Typing exception.

### XPDURR

    static final java.lang.String XPDURR

  Example for a Duration format.

  See Also:
    Constant Field Values

### XPDY

    static final java.lang.String XPDY

  XPDY Error type.

  See Also:
    Constant Field Values

### XPEMPTY

    static final java.lang.Object[] XPEMPTY

  XPTY0004: Typing exception.

### XPINVCAST

    static final java.lang.Object[] XPINVCAST

  XPTY0004: Typing exception.

### XPINVNAME

    static final java.lang.Object[] XPINVNAME

  XPTY0004: Typing exception.

### XPMDA

    static final java.lang.String XPMDA

  Example for a MonthDay format.

  See Also:
    Constant Field Values

### XPMON

    static final java.lang.String XPMON

  Example for a Month format.

  See Also:
    Constant Field Values

### XPNAME

    static final java.lang.Object[] XPNAME

  XPTY0004: Typing exception.

### XPNOCTX

    static final java.lang.Object[] XPNOCTX

  XPDY0002: Evaluation Exception.

### XPNODES

    static final java.lang.Object[] XPNODES

  XPDY0002: Evaluation exception.

### XPRETURN

    static final java.lang.Object[] XPRETURN

  XPTY0004: Typing exception.

### XPSEQ

    static final java.lang.Object[] XPSEQ

  XPTY0004: Typing exception.

### XPSINGLE

    static final java.lang.Object[] XPSINGLE

  XPTY0004: Typing exception.

### XPSORT

    static final java.lang.Object[] XPSORT

  XPTY0004: Typing exception.

### XPST

    static final java.lang.String XPST

  XPST Error type.

  See Also:
    Constant Field Values

### XPSTACK

    static final java.lang.Object[] XPSTACK

  XQST0054: Parsing exception.

### XPTIME

    static final java.lang.String XPTIME

  Example for a Time format.

  See Also:
    Constant Field Values

### XPTY

    static final java.lang.String XPTY

  XPTY Error type.

  See Also:
    Constant Field Values

### XPTYPE

    static final java.lang.Object[] XPTYPE

  XPTY0004: Typing Exception.

### XPTYPECMP

    static final java.lang.Object[] XPTYPECMP

  XPTY0004: Typing Exception.

### XPTYPENUM

    static final java.lang.Object[] XPTYPENUM

  XPTY0004: Typing exception.

### XPUNARY

    static final java.lang.Object[] XPUNARY

  XPTY0004: Typing exception.

### XPYEA

    static final java.lang.String XPYEA

  Example for a Year format.

  See Also:
    Constant Field Values

### XPYMD

    static final java.lang.String XPYMD

  Example for a YearMonthDuration format.

  See Also:
    Constant Field Values

### XPYMO

    static final java.lang.String XPYMO

  Example for a YearMonth format.

  See Also:
    Constant Field Values

### XQDY

    static final java.lang.String XQDY

  XQDY Error type.

  See Also:
    Constant Field Values

### XQST

    static final java.lang.String XQST

  XQST Error type.

  See Also:
    Constant Field Values

### XQTY

    static final java.lang.String XQTY

  XQTY Error type.

  See Also:
    Constant Field Values

### XQUERYENC2

    static final java.lang.Object[] XQUERYENC2

  XQST0087: Parsing exception.

### XQUERYVER

    static final java.lang.Object[] XQUERYVER

  XQST0031: Parsing exception.

### ZEROONE

    static final java.lang.Object[] ZEROONE

  FORG0003: Evaluation exception.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD